## Question a

temp1 <- read.table("data/temp_1.csv")
t1 <- temp1$V1
temp2 <- read.table("data/temp_2.csv")
t2 <- temp2$V1
temp3 <- read.table("data/temp_3.csv")
t3 <- temp3$V1

# Utilisation du test de Shapiro-Wilk
shapiro.test(t1)
shapiro.test(t2)
shapiro.test(t2)

# Pour chacune des distributions la p-value est inférieure à 0.05
# donc on peut rejeter l'hypothèse H0 que les observations suivent une loi normale
#    => Les échantillons ne suivent pas une loi normale 
# Pour comparer les moyennes, on ne peut pas utiliser des tests paramétriques qui suppose une distribution normale
# On peut utiliser des tests non paramétriques comme de Wilcoxon-Mann Whitney ou de Kolmogorov-Smirnov

# optionnel :
# Les tracés Q-Q plot permettent de comparer graphiquement la distribution avec celle d'une loi normale 
qqnorm(t1)
# lorsque le tracé est proche d'un segment de droite, les distributions sont comparables.
# remarque : ici les observations suivent une loi discrete

## Question b
# Utilisation de Mann-Whitney
wilcox.test(t1, t2)
wilcox.test(t1, t3)
wilcox.test(t2, t3)

# Pour chacune des comparaisons la p-value est inférieure à 0.05
# donc on peut rejeter l'hypothèse H0 que les observations ont la même moyenne
#    => Les moyennes sont significatives différentes

## Question c

# sous-échantillon de taille 30
t130 <- sample(t1, 30)
t230 <- sample(t2, 30)
t330 <- sample(t3, 30)

# Utilisation du test de Mann-Whitney
wilcox.test(t130, t230)
wilcox.test(t130, t330)
wilcox.test(t230, t330)

# Il est très probable d'observer des p-value supérieures à 0.05
# donc on ne peut rejeter pas l'hypothèse H0 que les observations ont la même moyenne
#    => Les moyennes ne peuvent pas être différenciées significativement à partir pour cette taille d'échantillon
