## Question a

lf3 <- read.table("data/ruban-3_final.csv", header = TRUE)
names(lf3)

length(lf3$long)
hist(lf3$long)
mean(lf3$long)
sd(lf3$long)
quantile(lf3$long)
hist(lf3$long)

boxplot(lf3$long)

## Question b
if3 <- read.table("data/ruban-3_initial_final.csv", header = TRUE)
names(if3)

## Question b (i)
# nuage de points :
plot(final ~ initial, if3)
# ou bien : plot(if3$initial, if3$final)

## Question b (ii)

cor(if3)
# ou bien : cor(if3$initial, if3$final)

# Le coefficient de correlation linéaire est faible : pas de corrélation

## Question b (iii)
# modèle linéaire :
linIF3 <- lm(final ~ initial, if3)
# ou bien : linIF3 <- lm(if3$initial, if3$final)

# coefficients de la droite régression
linIF3$coefficients

# toute les informations sur la régression :
summary(linIF3)

# Remarque : La p-value n'est pas significative (0.15) : le modèle linéaire n'est pas correct

abline(linIF3) # ajout de la droite de régression sur le graphique

## Question b (iv)
# Pas de corrélaiton entre la longueur initiale et finale

# Remarque on pourrait enlever les outliers avec subset :
# subset(if3, if3$final > 118)
# et recommencer l'étude


## Question c
id3 <- read.table("data/ruban-3_initial_duree.csv", header = TRUE)
names(if3)

## Question c (i)

# nuage de points :
plot(duree ~ initial, id3)

# coefficient de correlation
cor(id3)
# faible mais légèrement significatif

# modèle linéaire :
linID3 <- lm(duree ~ initial, id3)

# toute les informations sur la régression :
summary(linID3)

abline(linID3) # ajout de la droite de régression sur le graphique

# La p-value du modèle est inférieure à 0.05 (p-value= 0.00307)
# Le modèle linéaire peut être utilisée pour expliquer les données.

## Question c (ii)

# La vitesse de convergence peut être définie par la pente de la droite de régression

# Une autre possibilité est de définir une vitesse par résultat de simulation :
# (longueur initiale - distance(D, A)) / duree

## Question c (iii)

id2 <- read.table("data/ruban-2_initial_duree.csv", header = TRUE)

# calcul de la distribution des vitesses :
v2 <- (id2$initial - 119) / id2$duree
v3 <- (id3$initial - 119) / id3$duree

summary(v2)
summary(v3)

# comparaison graphique des distributions
boxplot(list(v2, v3))
 
# test de la différence de moyenne
wilcox.test(v2, v3)

# p-value = 0.251 > 0.05 donc les moyennes ne sont pas significativement différentes